Last Comment Bug 320650 - 'Send' does not work after Ctrl+E
: 'Send' does not work after Ctrl+E
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed1.8.0.1, fixed1.8.1, regression
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- major (vote)
: ---
Assigned To: Frank Wein [:mcsmurf]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-17 07:56 PST by Thomas Schade
Modified: 2006-07-06 16:21 PDT (History)
5 users (show)
cbiesinger: blocking‑seamonkey1.0+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (untested, but should work) - Checked in trunk & branch 1.8/1.8.0 (1010 bytes, patch)
2005-12-17 16:24 PST, Frank Wein [:mcsmurf]
iann_bugzilla: review+
mozilla: superreview+
neil: approval‑seamonkey1.0+
Details | Diff | Review

Description Thomas Schade 2005-12-17 07:56:23 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20051217 Firefox/1.6a1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20051217(04) SeaMonkey/1.5a

Re-open a newsgroup posting via Ctrl+E from the send folder. Try to re-send. Send does not work via Send-button or via menu 'Send now'.

However, it does work for mails.

Reproducible: Always

Steps to Reproduce:
1. Create a newsgroup posting and send, e.g. to de.test
2. Go to send folder and open same posting via Ctrl+E
3. Klick Send-button

Actual Results:  
Nothing.

Expected Results:  
Posting should be send again.

Seamonkey 1.5a with Classic theme.


Btw, it would be easier to file a bug like this if there would be an entry for 'Editor' in the component area...
Comment 1 Ruediger Lahl 2005-12-17 10:21:04 PST
(In reply to comment #0)

> Re-open a newsgroup posting via Ctrl+E from the send folder. Try to re-send.
> Send does not work via Send-button or via menu 'Send now'.

I can confirm that.

> Btw, it would be easier to file a bug like this if there would be an entry for
> 'Editor' in the component area...

'MailNews: Main Mail Window' fits a little bit more than 'General' (IMHO)
Comment 2 Andrew Schultz 2005-12-17 12:01:21 PST
I get this when I hit "Send"

SendMessage from XUL
GenericSendMessage from XUL
Identity = [nsIMsgIdentity: id9]
*** Failed to get string subjectDlogTitle in bundle: chrome://messenger/locale/messengercompose/composeMsgs.properties
An error occurred executing the cmd_sendButton command
[Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIStringBundle.GetStringFromName]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: XStringBundle :: getString :: line 17"  data: no]

With Mozilla 1.8b1, I get a dialog that says "Sending of message failed. No recipients were specified. Please enter a recipient or newgroup in the addressing area."

==> composition
Comment 3 Frank Wein [:mcsmurf] 2005-12-17 16:24:53 PST
Created attachment 206206 [details] [diff] [review]
Patch (untested, but should work) - Checked in trunk & branch 1.8/1.8.0

This at least fixes the issue mentioned in Comment 2, easy review i guess. That is a regression from Bug 294140.
Comment 4 Ian Neal 2005-12-18 03:38:23 PST
Comment on attachment 206206 [details] [diff] [review]
Patch (untested, but should work) - Checked in trunk & branch 1.8/1.8.0

We will want this in branch too for final once it has an sr from someone like bienvenu
Comment 5 Frank Wein [:mcsmurf] 2005-12-18 04:05:54 PST
I thought no sr is required for SeaMonkey only code (or do you as review offically request sr now ;)?
Comment 6 Ian Neal 2005-12-18 12:34:20 PST
We still do r and sr in SeaMonkey code, for the moment.
Comment 7 Frank Wein [:mcsmurf] 2005-12-18 12:46:04 PST
Comment on attachment 206206 [details] [diff] [review]
Patch (untested, but should work) - Checked in trunk & branch 1.8/1.8.0

Easy regression fix
Comment 8 Christian :Biesinger (don't email me, ping me on IRC) 2005-12-20 10:18:49 PST
Comment on attachment 206206 [details] [diff] [review]
Patch (untested, but should work) - Checked in trunk & branch 1.8/1.8.0

a=biesi
Comment 9 Christian :Biesinger (don't email me, ping me on IRC) 2005-12-20 11:40:36 PST
Checking in mailnews/compose/resources/content/MsgComposeCommands.js;
/cvsroot/mozilla/mailnews/compose/resources/content/MsgComposeCommands.js,v  <--  MsgComposeCommands.js
new revision: 1.375; previous revision: 1.374
done
Comment 10 neil@parkwaycc.co.uk 2005-12-22 12:47:36 PST
Comment on attachment 206206 [details] [diff] [review]
Patch (untested, but should work) - Checked in trunk & branch 1.8/1.8.0

2nd a=me
Comment 11 Ian Neal 2005-12-22 15:36:47 PST
Comment on attachment 206206 [details] [diff] [review]
Patch (untested, but should work) - Checked in trunk & branch 1.8/1.8.0

Checking in branch 1.8
MsgComposeCommands.js;
new revision: 1.369.2.2; previous revision: 1.369.2.1
done
Checking in branch 1.8.0
MsgComposeCommands.js;
new revision: 1.369.2.1.4.1; previous revision: 1.369.2.1
done
Comment 12 Daniel Veditz [:dveditz] 2006-07-06 16:21:03 PDT
we're using "fixed1.8.1" for the 1.8 branch post-1.8 (confusing, I know)

Note You need to log in before you can comment on or make changes to this bug.